
$(function ()
{
	$('#getAccessTokens').bind('fasttap', function () 
	{
		$('#social_access_token').html('');
		
		if (conduitApi.social.isSupported()) 
		{
			var serviceName = $('#social_service option:selected').text();
			
			function cbGetAccessSuccess(tokens)
			{
				var html = '<h3>Access key: '+tokens.accessToken+'</h3>';
				if (tokens.userName)
				{
					html += '<br/><h3>User name = '+tokens.userName+'</h3';
				}
				if (tokens.fbId)
				{
					html += '<br/><h3>Facebook ID = '+tokens.fbId+'</h3';
				}
				if (tokens.cId)
				{
					html += '<br/><h3>Conduit ID = '+tokens.cId+'</h3';
				}
				$('#social_status').html(html);
			}
			
			function cbGetAccessFailed()
			{
				conduitApi.UI.dismissActivityIndicator(null, null);

				alert('Failed to get access');
			}

			conduitApi.social.getAccessTokens(cbGetAccessSuccess, cbGetAccessFailed, serviceName);
		} 
		else 
		{
			alert('Social not supported');
		}
	});
	$('#logOut').bind('fasttap', function () 
	{
		if (conduitApi.social.isSupported()) 
		{
			var serviceName = $('#social_service option:selected').text();
			
			function cbLoggedOut(tokens)
			{
				var html = '<h2>Logged out</h2>';
				$('#social_status').html(html);
				conduitApi.UI.dismissActivityIndicator(null, null);
			}

			conduitApi.UI.showActivityIndicator(null, null, _T('IndicatorShareLogOut'));
			conduitApi.social.logout(null, null, serviceName, cbLoggedOut);
		} 
		else 
		{
			alert('Social not supported');
		}
	});

});

